Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 9170547239ad1df96caa36ad060ab720f90cb421)
+++ sansview/perspectives/fitting/basepage.py	(revision ff8f99b3e41dc537bd2def3a3d3edb17558b9252)
@@ -318,5 +318,6 @@
         self.Bind(wx.EVT_RADIOBUTTON, self._set_dipers_Param, id=self.disable_disp.GetId())
         self.Bind(wx.EVT_RADIOBUTTON, self._set_dipers_Param, id=self.enable_disp.GetId())
-        
+        #MAC needs SetValue
+        self.disable_disp.SetValue(True)
         sizer_dispersion = wx.BoxSizer(wx.HORIZONTAL)
         sizer_dispersion.Add((20,20))
@@ -1208,5 +1209,5 @@
         
         
-    def _set_model_sizer(self, sizer, title="", object=None):
+    def _set_model_sizer(self,sizer, box_sizer, title="", object=None):
         """
             Use lists to fill a sizer for model info
@@ -1214,6 +1215,11 @@
        
         sizer.Clear(True)
-        box_description= wx.StaticBox(self, -1,str(title))
-        boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
+        ##For MAC, this should defined here.
+        if box_sizer == None:
+                box_description= wx.StaticBox(self, -1,str(title))
+                boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
+        else:
+            boxsizer1 = box_sizer
+            
         #--------------------------------------------------------
         self.shape_rbutton = wx.RadioButton(self, -1, 'Shapes', style=wx.RB_GROUP)
@@ -1230,5 +1236,6 @@
         self.Bind( wx.EVT_RADIOBUTTON, self._show_combox,
                             id= self.plugin_rbutton.GetId() )  
-       
+		#MAC needs SetValue
+        self.shape_rbutton.SetValue(True)
       
         sizer_radiobutton = wx.GridSizer(2, 2,5, 5)
@@ -1373,6 +1380,9 @@
         self.disp_cb_dict ={}
         f_id = self.formfactorbox.GetCurrentSelection()
-
-        form_factor = self.formfactorbox.GetClientData( f_id )
+        #For MAC
+        form_factor = None
+        if f_id >= 0:
+            form_factor = self.formfactorbox.GetClientData( f_id )
+
         if not form_factor in  self.model_list_box["multiplication"]:
             self.structurebox.Hide()
@@ -1603,11 +1613,11 @@
                 disp_model = GaussianDispersion()
                
-            	self._disp_obj_dict[p] = disp_model
-            	# Set the new model as the dispersion object for the selected parameter
+                self._disp_obj_dict[p] = disp_model
+                # Set the new model as the dispersion object for the selected parameter
                 try:
-            	   self.model.set_dispersion(p, disp_model)
+                   self.model.set_dispersion(p, disp_model)
                 except:
                     pass
-				# Redraw the model
+                # Redraw the model
                 #self._draw_model()
         ## save state into
@@ -1683,4 +1693,6 @@
         self.noDisper_rbox = wx.RadioButton(self, -1,"None", (10, 10),style= wx.RB_GROUP)
         self.Bind(wx.EVT_RADIOBUTTON,self.select_disp_angle , id=self.noDisper_rbox.GetId())
+        #MAC needs SetValue
+        self.noDisper_rbox.SetValue(True)
         self.sizer4_4.Add(self.noDisper_rbox, (iy, ix),
                            (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
@@ -1746,12 +1758,17 @@
        
 
-    def _set_range_sizer(self, title, object1=None,object=None):
-        """
-            Fill the 
+    def _set_range_sizer(self, title, box_sizer=None, object1=None,object=None):
+        """
+            Fill the Q range sizer
         """
         self.sizer5.Clear(True)
-        box_description= wx.StaticBox(self, -1,str(title))
-        boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         #--------------------------------------------------------------
+        if box_sizer == None:
+                box_description= wx.StaticBox(self, -1,str(title))
+                boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
+        else:
+            #for MAC
+            boxsizer1 = box_sizer
+
         self.qmin    = BasicPage.ModelTextCtrl(self, -1,size=(_BOX_WIDTH,20))
         self.qmin.SetValue(str(self.qmin_x))
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 9170547239ad1df96caa36ad060ab720f90cb421)
+++ sansview/perspectives/fitting/fitpage.py	(revision ff8f99b3e41dc537bd2def3a3d3edb17558b9252)
@@ -44,4 +44,5 @@
         ## default fitengine type
         self.engine_type = None
+        #self.smearer = None
         ## draw sizer
         self._fill_datainfo_sizer()
@@ -146,4 +147,8 @@
             add  access to npts
         """
+        title = "Fitting"
+        box_description_range = wx.StaticBox(self, -1,str(title))
+        boxsizer_range = wx.StaticBoxSizer(box_description_range, wx.VERTICAL)
+
         sizer_fit = wx.GridSizer(1, 1,0, 0)
     
@@ -155,5 +160,5 @@
         sizer_fit.Add((5,5),1, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 5)        
         sizer_fit.Add(self.btFit,0, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 35) 
-        
+        sizer_fit.Layout()
         sizer_smearer = wx.BoxSizer(wx.HORIZONTAL)
         #Filling the sizer containing instruments smearing info.
@@ -162,4 +167,5 @@
         self.Bind(wx.EVT_RADIOBUTTON, self.onSmear, id=self.disable_smearer.GetId())
         self.Bind(wx.EVT_RADIOBUTTON, self.onSmear, id=self.enable_smearer.GetId())
+        self.disable_smearer.SetValue(True)
         
         sizer_smearer.Add(wx.StaticText(self,-1,'Instrument Smearing? '))
@@ -168,5 +174,4 @@
         sizer_smearer.Add((10,10))
         sizer_smearer.Add( self.disable_smearer )
-        
         #Display Chi^2/dof
         sizer_smearer.Add((90,10))
@@ -184,5 +189,5 @@
                
         #Set sizer for Fitting section
-        self._set_range_sizer( title="Fitting",object1=sizer_smearer, object= sizer_fit)
+        self._set_range_sizer( title=title,box_sizer=boxsizer_range, object1=sizer_smearer, object= sizer_fit)
   
        
@@ -250,4 +255,9 @@
         """
         ##Add model function Details button in fitpanel.
+        ##The following 3 lines are for Mac. Let JHC know before modifying... 
+        title = "Model"
+        box_description= wx.StaticBox(self, -1,str(title))
+        boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
+         
         id = wx.NewId()
         self.model_help =wx.Button(self,id,'Details')
@@ -256,5 +266,5 @@
         
         ## class base method  to add view 2d button    
-        self._set_model_sizer(sizer=sizer, title="Model",object=self.model_help )   
+        self._set_model_sizer(sizer=sizer, box_sizer=boxsizer1, title="Model",object=self.model_help )   
 
     
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision a720d1f104d823aa62409c1f12de135aede070fd)
+++ sansview/perspectives/fitting/modelpage.py	(revision ff8f99b3e41dc537bd2def3a3d3edb17558b9252)
@@ -83,6 +83,10 @@
             add  access to npts
         """
-        sizer_npts= wx.GridSizer(1, 1,5, 5)
-    
+        ##The following 3 lines are for Mac. Let JHC know before modifying..
+        title = "Plotted Q Range"
+        box_description= wx.StaticBox(self, -1,str(title))
+        boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
+
+        sizer_npts= wx.GridSizer(1, 1,5, 5)    
         self.npts    = BasicPage.ModelTextCtrl(self, -1,size=(_BOX_WIDTH,20))
         self.npts.SetValue(format_number(self.num_points))
@@ -91,5 +95,5 @@
         sizer_npts.Add(wx.StaticText(self, -1, 'Npts'),1, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 5)        
         sizer_npts.Add(self.npts,1, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 5) 
-        self._set_range_sizer( title="Plotted Q Range", object= sizer_npts)
+        self._set_range_sizer( title=title, box_sizer=boxsizer1, object= sizer_npts)
        
        
@@ -108,4 +112,9 @@
             fill sizer containing model info
         """
+        ##The following 3 lines are for Mac. Let JHC know before modifying..
+        title = "Model"
+        box_description= wx.StaticBox(self, -1,str(title))
+        boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
+        
         id = wx.NewId()
         self.model_view =wx.Button(self,id,'View 2D')
@@ -114,5 +123,5 @@
         
         ## class base method  to add view 2d button   
-        self._set_model_sizer(sizer=sizer, title="Model",object= self.model_view )    
+        self._set_model_sizer(sizer=sizer,box_sizer=boxsizer1, title=title,object= self.model_view )    
     
   
@@ -397,4 +406,6 @@
         self.Bind( wx.EVT_RADIOBUTTON, self._on_display_description,
                    id=self.description_show.GetId() )
+        #MAC needs SetValue
+        self.description_hide.SetValue(True)
         
         self.model_description = wx.Button(self,-1, label="Details")
@@ -405,5 +416,5 @@
         sizer_selection.Add( (20,20)) 
         sizer_selection.Add( self.description_hide )
-        sizer_selection.Add((20,20),0, wx.LEFT|wx.RIGHT|wx.EXPAND,67)
+        sizer_selection.Add((20,20),0, wx.LEFT|wx.RIGHT|wx.EXPAND,75)
         sizer_selection.Add( self.model_description )
                      
